Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Interface XmppConversation

All Known Implementing Classes:
  AbstractXmppConversation, XmppChatConversation, XmppMessageConversation, XmppMultiUserChatConversation

    public interface XmppConversation

Implementors of `XmppConversation` abstract from the XMPP conversation type (e.g. chat, multi user chat or sending of plain jabber messages).

Method Summary
`void` | `connect()` Connect to the Jabber conversation, e.g.
`void` | `disconnect()` Disconnect from the Jabber conversation, e.g.
`void` | `dispatch(org.jivesoftware.smack.packet.Message message)` Asynchronously dispatch `message` via the Jabber conversation.
`org.jivesoftware.smack.packet.Message` | `receive()` Wait for a response on this conversation until a message arrives.
`org.jivesoftware.smack.packet.Message` | `receive(long timeout)` Wait for a response on this conversation until `timeout` occurs.

Method Detail

### connect

    void connect()
                 throws ConnectException

  Connect to the Jabber conversation, e.g. join a chat.

  Throws:
    `ConnectException`

### disconnect

    void disconnect()

  Disconnect from the Jabber conversation, e.g. leave a chat.

### dispatch

    void dispatch(org.jivesoftware.smack.packet.Message message)
                  throws org.jivesoftware.smack.XMPPException

  Asynchronously dispatch `message` via the Jabber conversation.

  Throws:
    `org.jivesoftware.smack.XMPPException`

### receive

    org.jivesoftware.smack.packet.Message receive(long timeout)

  Wait for a response on this conversation until `timeout` occurs.

  Returns:
    `Message` next available message or `null` if timeout occurred.

### receive

    org.jivesoftware.smack.packet.Message receive()

  Wait for a response on this conversation until a message arrives.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.